tigase.db.comp

## Class UserRepoRepository<Item extends RepositoryItem>

- java.lang.Object
- - tigase.db.comp.ConfigRepository<Item>
  - - tigase.db.comp.UserRepoRepository<Item>

- Type Parameters:
    `Item` -
  All Implemented Interfaces:
    Iterable<Item>, ComponentRepository<Item>
  Direct Known Subclasses:
    CompDBRepository, VHostJDBCRepository

      public abstract class UserRepoRepository<Item extends RepositoryItem>
      extends ConfigRepository<Item>

  Created: Oct 3, 2009 3:55:27 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REPO_CLASS_PROP_KEY` Field description
    `static String` | `REPO_URI_PROP_KEY` Field description

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserRepoRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getDefaults(Map<String,Object> defs, Map<String,Object> params)` Method description
    `String` | `getItemsListPKey()` Method description
    `abstract tigase.xmpp.BareJID` | `getRepoUser()` Method description
    `void` | `reload()` Method description
    `void` | `setProperties(Map<String,Object> properties)` Method description
    `void` | `store()` Method description

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getConfigKey, getDefaultPropetyItems, getItem, getPropertyKey, itemChanged, iterator, removeItem, removeRepoChangeListener, setAutoloadTimer, size, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.comp.ComponentRepository

      `getItemInstance`

- - ### Field Detail

    - #### REPO_CLASS_PROP_KEY

          public static final String REPO_CLASS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### REPO_URI_PROP_KEY

          public static final String REPO_URI_PROP_KEY

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserRepoRepository

          public UserRepoRepository()

  - ### Method Detail

    - #### getRepoUser

          public abstract tigase.xmpp.BareJID getRepoUser()

      Method description
      Returns:

    - #### getDefaults

          public void getDefaults(Map<String,Object> defs,
                         Map<String,Object> params)

      Method description
      Specified by:
        `getDefaults` in interface `ComponentRepository<Item extends RepositoryItem>`
      Overrides:
        `getDefaults` in class `ConfigRepository<Item extends RepositoryItem>`
      Parameters:
        `defs` -
        `params` -

    - #### getItemsListPKey

          public String getItemsListPKey()

      Method description
      Returns:

    - #### reload

          public void reload()

      Method description
      Specified by:
        `reload` in interface `ComponentRepository<Item extends RepositoryItem>`
      Overrides:
        `reload` in class `ConfigRepository<Item extends RepositoryItem>`

    - #### setProperties

          public void setProperties(Map<String,Object> properties)

      Method description
      Specified by:
        `setProperties` in interface `ComponentRepository<Item extends RepositoryItem>`
      Overrides:
        `setProperties` in class `ConfigRepository<Item extends RepositoryItem>`
      Parameters:
        `properties` -

    - #### store

          public void store()

      Method description
      Specified by:
        `store` in interface `ComponentRepository<Item extends RepositoryItem>`
      Overrides:
        `store` in class `ConfigRepository<Item extends RepositoryItem>`

Copyright © 2013 Tigase. All rights reserved.